#### D.12.8.15 nrroots

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  nrroots(p); poly p

Return:
  int: the number of real roots of p

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    nrroots(p);
    ==> 3
    p = p*(x2+1);
    nrroots(p);
    ==> 3

See also: boundposDes; sturm; sturmha.

User manual for Singular version 4-0-3, 2016, generated by texi2html.